AuditProperty (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query.criteria
Class AuditProperty<T>

    java.lang.Object
      org.hibernate.envers.query.criteria.AuditProperty<T>

All Implemented Interfaces:
  AuditProjection

    public class AuditProperty<T>

extends Object
implements AuditProjection

Create restrictions, projections and specify order for a property of an audited entity.

Constructor Summary
`AuditProperty(PropertyNameGetter propertyNameGetter)`

Method Summary
`AuditOrder` | `asc()` Sort the results by the property in ascending order
`AuditCriterion` | `between(T lo, T hi)` Apply a "between" constraint
`AuditProjection` | `count()` Projection counting the values
`AuditProjection` | `countDistinct()` Projection counting distinct values
`AuditOrder` | `desc()` Sort the results by the property in descending order
`AuditProjection` | `distinct()` Projection on distinct values
`AuditCriterion` | `eq(T value)` Apply an "equal" constraint
`AuditCriterion` | `eqProperty(String otherPropertyName)` Apply an "equal" constraint to another property
`AuditProjection` | `function(String functionName)` Projection using a custom function
`AuditCriterion` | `ge(T value)` Apply a "greater than or equal" constraint
`AuditCriterion` | `geProperty(String otherPropertyName)` Apply a "greater than or equal" constraint to another property
`Triple<String,String,Boolean>` | `getData(AuditConfiguration auditCfg)`
`AuditCriterion` | `gt(T value)` Apply a "greater than" constraint
`AuditCriterion` | `gtProperty(String otherPropertyName)` Apply a "greater than" constraint to another property
`AuditCriterion` | `hasChanged()`
`AuditCriterion` | `hasNotChanged()`
`AuditCriterion` | `in(Collection values)` Apply an "in" constraint
`AuditCriterion` | `in(T[] values)` Apply an "in" constraint
`AuditCriterion` | `isNotNull()` Apply an "is not null" constraint to the another property
`AuditCriterion` | `isNull()` Apply an "is null" constraint
`AuditCriterion` | `le(T value)` Apply a "less than or equal" constraint
`AuditCriterion` | `leProperty(String otherPropertyName)` Apply a "less than or equal" constraint to another property
`AuditCriterion` | `like(String value, MatchMode matchMode)` Apply a "like" constraint
`AuditCriterion` | `like(T value)` Apply a "like" constraint
`AuditCriterion` | `lt(T value)` Apply a "less than" constraint
`AuditCriterion` | `ltProperty(String otherPropertyName)` Apply a "less than" constraint to another property
`AuditProjection` | `max()` Projection on the maximum value
`AggregatedAuditExpression` | `maximize()` Apply a "maximalize" constraint, with the ability to specify further constraints on the maximized property
`AuditProjection` | `min()` Projection on the minimum value
`AggregatedAuditExpression` | `minimize()` Apply a "minimize" constraint, with the ability to specify further constraints on the minimized property
`AuditCriterion` | `ne(T value)` Apply a "not equal" constraint
`AuditCriterion` | `neProperty(String otherPropertyName)` Apply a "not equal" constraint to another property

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditProperty

    public AuditProperty(PropertyNameGetter propertyNameGetter)

Method Detail

### hasChanged

    public AuditCriterion hasChanged()

### hasNotChanged

    public AuditCriterion hasNotChanged()

### eq

    public AuditCriterion eq(T value)

  Apply an "equal" constraint

### ne

    public AuditCriterion ne(T value)

  Apply a "not equal" constraint

### like

    public AuditCriterion like(T value)

  Apply a "like" constraint

### like

    public AuditCriterion like(String value,
                               MatchMode matchMode)

  Apply a "like" constraint

### gt

    public AuditCriterion gt(T value)

  Apply a "greater than" constraint

### lt

    public AuditCriterion lt(T value)

  Apply a "less than" constraint

### le

    public AuditCriterion le(T value)

  Apply a "less than or equal" constraint

### ge

    public AuditCriterion ge(T value)

  Apply a "greater than or equal" constraint

### between

    public AuditCriterion between(T lo,
                                  T hi)

  Apply a "between" constraint

### in

    public AuditCriterion in(T[] values)

  Apply an "in" constraint

### in

    public AuditCriterion in(Collection values)

  Apply an "in" constraint

### isNull

    public AuditCriterion isNull()

  Apply an "is null" constraint

### eqProperty

    public AuditCriterion eqProperty(String otherPropertyName)

  Apply an "equal" constraint to another property

### neProperty

    public AuditCriterion neProperty(String otherPropertyName)

  Apply a "not equal" constraint to another property

### ltProperty

    public AuditCriterion ltProperty(String otherPropertyName)

  Apply a "less than" constraint to another property

### leProperty

    public AuditCriterion leProperty(String otherPropertyName)

  Apply a "less than or equal" constraint to another property

### gtProperty

    public AuditCriterion gtProperty(String otherPropertyName)

  Apply a "greater than" constraint to another property

### geProperty

    public AuditCriterion geProperty(String otherPropertyName)

  Apply a "greater than or equal" constraint to another property

### isNotNull

    public AuditCriterion isNotNull()

  Apply an "is not null" constraint to the another property

### maximize

    public AggregatedAuditExpression maximize()

  Apply a "maximalize" constraint, with the ability to specify further constraints on the maximized property

### minimize

    public AggregatedAuditExpression minimize()

  Apply a "minimize" constraint, with the ability to specify further constraints on the minimized property

### max

    public AuditProjection max()

  Projection on the maximum value

### min

    public AuditProjection min()

  Projection on the minimum value

### count

    public AuditProjection count()

  Projection counting the values

### countDistinct

    public AuditProjection countDistinct()

  Projection counting distinct values

### distinct

    public AuditProjection distinct()

  Projection on distinct values

### function

    public AuditProjection function(String functionName)

  Projection using a custom function

### getData

    public Triple<String,String,Boolean> getData(AuditConfiguration auditCfg)

  Specified by:
    `getData` in interface `AuditProjection`
  Parameters:
    `auditCfg` - Configuration.
  Returns:
    A triple: (function name - possibly null, property name, add distinct?).

### asc

    public AuditOrder asc()

  Sort the results by the property in ascending order

### desc

    public AuditOrder desc()

  Sort the results by the property in descending order

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.